html, body {
  outline: none;
  margin: 0;
  height: 100%;
  font-family: "Open Sans", sans-serif;
}

.flexcontainer {
  display: flex;
  height: 100%;
}

.form-container {
  background-color: #FFDE13;
  width: 40%;
  padding: 2em;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  position: relative; /* Needed for positioning logo */
}

#login-form {
  width: 70%;
  margin-top: 35%;
  justify-content: center;
  align-items: center;
}

button {
  width: 35%;
  height: 40px;
  padding: 1.1em;
  background-color: #000000;
  color: white;
  border: none;
  margin-top: 3em;
  cursor: pointer;
  border-radius: 0;
}

button:hover {
  background-color: #333;
}

#button-icon {
  display: inline-flex;
  padding-left: 10px;
  align-items: center;
  width: 40px; /* Passe die Größe des Icons an */
  height: 100%;
}

.cover {
  background-image: url(../pics/LEW_murano-vetro_b_ganz_haus_xl.jpg);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  width: 100%;
  height: 100vh;
}

#Sonne {
  max-width: 400px;
  margin-bottom: 1em;
  position: absolute; /* Make it independent of flexbox alignment */
  bottom: 40px; /* Position logo 20px from the top */
  right: 40px; /* Position logo 20px from the left */
}


#logo {
  max-width: 250px;
  margin-bottom: 1em;
  position: absolute; /* Make it independent of flexbox alignment */
  top: 40px; /* Position logo 20px from the top */
  left: 40px; /* Position logo 20px from the left */
}

form {
  width: 100%;
  text-align: center;
  margin-top: 5em;
}

label {
  font-weight: bold;
  font-size: 0.9em;
  margin-top: 1em;
  display: block;
  text-align: left;
  padding-left: 0.3em;
}

input {
  width: 90%;
  height: 30px;
  padding: 1em;
  margin-top: 0.5em;
  border: none;
  border-bottom: solid 1px;
  border-color: black;
  background-color: #FFEF89;
}

#lewensFooter {
  margin-top: auto; /* Schiebt den Footer an das Ende des Containers */
  text-align: center;
  width: 100%; /* Passt sich an die Breite des Containers an */
  background-color: #FFDE13; /* Gleicher Hintergrund wie der Form-Container */
  padding: 1em 0;
}

#lewensFooter ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

#lewensFooter ul li {
  display: inline;
  margin: 0 1em;
}

#lewensFooter ul li a {
  text-decoration: none;
  color: black;
  font-weight: bold;
}

@media (max-width: 768px) {
  .form-container {
    width: 100%;
  }
  .cover {
    display: none;
  }
}

/* Change Autocomplete styles in Chrome*/
input:-webkit-autofill,
input:-webkit-autofill:hover, 
input:-webkit-autofill:focus,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover,
textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
  border: none;
  outline: none;
  border-bottom: solid 1px;
  border-color: black;
  -webkit-text-fill-color: black;
  background-color: #FFEF89;
  transition: background-color 5000s ease-in-out 0s;
}